#!/bin/sh

SLEEP=30

check_proc() {
	PROC=$1
	INIT=$2
	
	if test -x $INIT; then
		if ! pidof -s $PROC>/dev/null; then
			logger -t $0 "restarting $PROC"
			$INIT restart 
		fi
	else
		echo "$0 $INIT not found"
		logger -t $0 "$INIT not found"
	fi
}

while true; do
	# ensure that last line is not swallowed
	(cat  /etc/nylon/check-process.list; echo) |\
	( while read P I; do
		if [ -n "$P" ]; then 
			case $P in 
				\#*)
				;;
				*)
				if [ "$I" != "" ]; then
					check_proc $P $I
				fi
				;;
			esac
		fi
	done )
	sleep $SLEEP
done
